{
  "description": "DaemonSetStatus represents the current status of a daemon set.",
  "properties": {
    "collisionCount": {
      "description": "Count of hash collisions for the DaemonSet. The DaemonSet controller uses this field as a collision avoidance mechanism when it needs to create the name for the newest ControllerRevision.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "conditions": {
      "description": "Represents the latest available observations of a DaemonSet's current state.",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.apps.v1.DaemonSetCondition"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-patch-merge-key": "type",
      "x-kubernetes-patch-strategy": "merge"
    },
    "currentNumberScheduled": {
      "description": "The number of nodes that are running at least 1 daemon pod and are supposed to run the daemon pod. More info: https://kubernetes.io/docs/concepts/workloads/controllers/daemonset/",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "desiredNumberScheduled": {
      "description": "The total number of nodes that should be running the daemon pod (including nodes correctly running the daemon pod). More info: https://kubernetes.io/docs/concepts/workloads/controllers/daemonset/",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "numberAvailable": {
      "description": "The number of nodes that should be running the daemon pod and have one or more of the daemon pod running and available (ready for at least spec.minReadySeconds)",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "numberMisscheduled": {
      "description": "The number of nodes that are running the daemon pod, but are not supposed to run the daemon pod. More info: https://kubernetes.io/docs/concepts/workloads/controllers/daemonset/",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "numberReady": {
      "description": "numberReady is the number of nodes that should be running the daemon pod and have one or more of the daemon pod running with a Ready Condition.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "numberUnavailable": {
      "description": "The number of nodes that should be running the daemon pod and have none of the daemon pod running and available (ready for at least spec.minReadySeconds)",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "observedGeneration": {
      "description": "The most recent generation observed by the daemon set controller.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    },
    "updatedNumberScheduled": {
      "description": "The total number of nodes that are running updated daemon pod",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "currentNumberScheduled",
    "numberMisscheduled",
    "desiredNumberScheduled",
    "numberReady"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/daemonsetstatus/apps/v1"
}